<!--form [formGroup]="bikeFormGroup" novalidate (ngSubmit)="saveBike()">
    <div>
        <label for="">Model</label>
        <input type="text" formControlName="model" name="model">
        <div *ngIf="bikeFormGroup.get('model').invalid && (bikeFormGroup.get('model').dirty || bikeFormGroup.get('model').touched ) ">
            <div *ngIf="bikeFormGroup.get('model').errors.required">
                <p class="error-validate">El campo es requerido</p>

            </div>
            <div *ngIf="bikeFormGroup.get('model').errors.maxlength">
                <p class="error-validate">El campo debe contener maximo 4 caracteres</p>
            </div>

        </div>



    </div>
    <div>
        <label for="">Price</label>
        <input type="text" formControlName="price" name="price">
    </div>
    <div>
        <label for="">Serial</label>
        <input type="text" formControlName="serial" name="serial">
    </div>

    <button type="submit" [disabled]="bikeFormGroup.invalid">Guardar</button>


</form-->
<div class="container">
    <h2 class="text-center"> CREAR BIKE</h2>
    <form [formGroup]="bikeFormGroup" novalidate (ngSubmit)="saveBike()">
        <div class="form-group">
            <label for="exampleFormControlInput1">Model</label>
            <input class="form-control" type="text" formControlName="model" name="model">
            <div *ngIf="bikeFormGroup.get('model').invalid && (bikeFormGroup.get('model').dirty || bikeFormGroup.get('model').touched ) ">
                <div *ngIf="bikeFormGroup.get('model').errors.required">
                    <p class="error-validate">El campo es requerido</p>

                </div>
                <div *ngIf="bikeFormGroup.get('model').errors.maxlength">
                    <p class="error-validate">El campo debe contener maximo 4 caracteres</p>
                </div>

            </div>
        </div>
        <div class="form-group">
            <label for="exampleFormControlInput1">Price</label>
            <input class="form-control" type="text" formControlName="price" name="price">
        </div>
        <div class="form-group">
            <label for="exampleFormControlInput1">Serial</label>
            <input class="form-control" type="text" formControlName="serial" name="serial">
        </div>
        <button type="submit" [disabled]="bikeFormGroup.invalid">Guardar</button>
    </form>
</div>